Bug 782147 - RPM Python Bindings are leaking. This has caused a huge leak in setroubleshoot, when it hits an AVC storm.
RPM Python Bindings are leaking. This has caused a huge leak in setroubleshoo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: cpychecker 782150 782151
  Show dependency treegraph
 
Reported: 2012-01-16 11:29 EST by Daniel Walsh
Modified: 2012-03-21 15:05 EDT (History)
5 users (show)

See Also:
Fixed In Version: rpm-4.9.1.2-6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 782150 782151 (view as bug list)
Environment:
Last Closed: 2012-03-11 19:21:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-01-16 11:29:23 EST
setroubleshoot uses the rpm python bindings and is a long running service, Each time an AVC arrives it checks on the version of selinux policy, the kernel, and potentially the version of the source program and the target program to identify which version of the package was being used.  If we are hit with a storm of AVC's we are seeing the memory skyrocket.  We diagnosed the problem to rpm python bindings leaking.  For now we are removing the bindings and going to executing rpm -qf PATH. Not an ideal solution, but we need this fix in RHEL5 and RHEL6. As well as Fedora.
Comment 1 Daniel Walsh 2012-01-16 11:32:37 EST
Dave Malcolm, believes he has a fix for this problem.

http://lists.rpm.org/pipermail/rpm-maint/2011-December/003138.html
Comment 2 Fedora Update System 2012-03-07 06:34:21 EST
rpm-4.9.1.2-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rpm-4.9.1.2-14.fc17
Comment 3 Fedora Update System 2012-03-07 06:36:47 EST
rpm-4.9.1.2-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rpm-4.9.1.2-6.fc16
Comment 4 Fedora Update System 2012-03-07 23:58:59 EST
Package rpm-4.9.1.2-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpm-4.9.1.2-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3336/rpm-4.9.1.2-6.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-03-11 19:21:50 EDT
rpm-4.9.1.2-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-03-21 15:05:58 EDT
rpm-4.9.1.2-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.